package com.mzh.library.dao;

import com.mzh.library.entity.SystemLog;
import com.mzh.library.entity.SystemLogSearchCriteria;

import java.sql.Connection;
import java.util.List;

public interface SystemLogDao {
    List<SystemLog> search(SystemLogSearchCriteria criteria);

    List<String> findOperationTypes();

    long create(Connection connection, SystemLog log);
}
